MODULE atomdata

  TYPE OrbitInfo
     INTEGER :: nps, npp, npd ,npf, npg, norbit
     INTEGER, POINTER :: np(:),l(:)
     REAL(8), POINTER :: eig(:),occ(:),wfn(:,:)
  END TYPE OrbitInfo

  TYPE SCFInfo
     INTEGER :: iter
     REAL(8) :: delta,eone,ekin,estatic,ecoul,eexc,etot
  END TYPE SCFInfo

  TYPE FCinfo
     REAL(8), POINTER :: coreden(:),valeden(:)
     REAL(8) :: evale,corekin
     INTEGER :: norbit,zcore,zvale
     LOGICAL, POINTER :: iscore(:)
  END TYPE FCinfo
                                                                                
  Logical :: scalarrelativistic
  Logical :: gaussianshapefunction

END MODULE atomdata
